All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
utils.hpp File Reference

Provides OpenCL-related utilities. More...

`#include <vector>`
`#include <string>`
`#include "viennacl/ocl/backend.hpp"`
`#include "viennacl/ocl/device.hpp"`

Go to the source code of this file.

## Classes

struct | viennacl::ocl::DOUBLE_PRECISION_CHECKER< ScalarType >
| Ensures that double precision types are only allocated if it is supported by the device. If double precision is requested for a device not capable of providing that, a double_precision_not_provided_error is thrown. More...
struct | viennacl::ocl::type_to_string< T >
| Helper class for converting a type to its string representation. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::ocl
| OpenCL backend. Manages platforms, contexts, buffers, kernels, etc.

## Functions

template<typename T >
void | viennacl::ocl::append_double_precision_pragma (viennacl::ocl::context const &, std::string &)
template<>
void | viennacl::ocl::append_double_precision_pragma< double > (viennacl::ocl::context const &ctx, std::string &source)

## Detailed Description

Provides OpenCL-related utilities.

Definition in file utils.hpp.